> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> Retrieve an owned session's metadata.



## OpenAPI

````yaml get /v1/agent_sessions/{session_id}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/agent_sessions/{session_id}:
    get:
      tags:
        - chat
      summary: Get Session
      description: Retrieve an owned session's metadata.
      operationId: getAgentSession
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentSessionResponseBody'
        '401':
          content:
            text/plain:
              schema:
                type: string
          description: Unauthorized
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetAgentSessionResponseBody:
      properties:
        data:
          $ref: '#/components/schemas/AgentSessionData'
      type: object
      required:
        - data
      title: GetAgentSessionResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentSessionData:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        is_ephemeral:
          type: boolean
          title: Is Ephemeral
        model:
          $ref: '#/components/schemas/AgentModelSelection'
        is_active:
          type: boolean
          title: Is Active
          description: >-
            Whether a response is currently streaming on this session, i.e. its
            lock has a live (non-stale) heartbeat.
        last_message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Message Id
          description: >-
            The message ID of the most recently persisted transcript message, or
            null for an empty transcript.
      type: object
      required:
        - id
        - title
        - created_at
        - updated_at
        - is_ephemeral
        - model
        - is_active
      title: AgentSessionData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentModelSelection:
      oneOf:
        - $ref: '#/components/schemas/CustomProviderModelSelection'
        - $ref: '#/components/schemas/BuiltInProviderModelSelection'
      discriminator:
        propertyName: providerType
        mapping:
          builtin:
            $ref: '#/components/schemas/BuiltInProviderModelSelection'
          custom:
            $ref: '#/components/schemas/CustomProviderModelSelection'
    CustomProviderModelSelection:
      properties:
        providerType:
          type: string
          const: custom
          title: Providertype
        providerId:
          type: string
          title: Providerid
        modelName:
          type: string
          title: Modelname
      type: object
      required:
        - providerType
        - providerId
        - modelName
      title: CustomProviderModelSelection
      description: Chat against a stored custom provider record.
    BuiltInProviderModelSelection:
      properties:
        providerType:
          type: string
          const: builtin
          title: Providertype
        provider:
          $ref: '#/components/schemas/ModelProvider'
        modelName:
          type: string
          title: Modelname
      type: object
      required:
        - providerType
        - provider
        - modelName
      title: BuiltInProviderModelSelection
      description: |-
        Chat against a Phoenix built-in provider.

        Credentials and connection details (base URL, Azure endpoint, AWS
        region) are resolved from the secret store first and the process
        environment second.
    ModelProvider:
      type: string
      enum:
        - OPENAI
        - AZURE_OPENAI
        - ANTHROPIC
        - GOOGLE
        - DEEPSEEK
        - XAI
        - OLLAMA
        - AWS
        - CEREBRAS
        - FIREWORKS
        - GROQ
        - MOONSHOT
        - PERPLEXITY
        - TOGETHER
      title: ModelProvider

````